Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cxf.wsdl
Enum WSDLConstants.WSDLVersion

    java.lang.Object
      java.lang.Enum<WSDLConstants.WSDLVersion>
          org.apache.cxf.wsdl.WSDLConstants.WSDLVersion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WSDLConstants.WSDLVersion>

Enclosing class:
  WSDLConstants

    public static enum WSDLConstants.WSDLVersion

extends java.lang.Enum<WSDLConstants.WSDLVersion>

Enum Constant Summary
`UNKNOWN`
`WSDL11`
`WSDL20`

Method Summary
`static WSDLConstants.WSDLVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WSDLConstants.WSDLVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WSDL11

    public static final WSDLConstants.WSDLVersion WSDL11

### WSDL20

    public static final WSDLConstants.WSDLVersion WSDL20

### UNKNOWN

    public static final WSDLConstants.WSDLVersion UNKNOWN

Method Detail

### values

    public static final WSDLConstants.WSDLVersion[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(WSDLConstants.WSDLVersion c : WSDLConstants.WSDLVersion.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static WSDLConstants.WSDLVersion valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.